commit 0562522e1290da08bc5a89182b9ae80c3cc9d1db
Author: H.J. Lu <hjl.tools@gmail.com>
Date:   Fri Aug 23 14:36:45 2024

    lto: Don't check obj.found for offload section
    
    obj.found is the number of LTO symbols.  We should include the offload
    section when it is used by linker even if there are no LTO symbols.
    
            PR lto/116361
            * lto-plugin.c (claim_file_handler_v2): Don't check obj.found
            for the offload section.
    
    Signed-off-by: H.J. Lu <hjl.tools@gmail.com>
    (cherry picked from commit cb51e0b236c7d492af2033582230e78d8b55290f)

diff --git a/lto-plugin/lto-plugin.c b/lto-plugin/lto-plugin.c
index 61b0de62f52..c564b36eb92 100644
--- a/lto-plugin/lto-plugin.c
+++ b/lto-plugin/lto-plugin.c
@@ -1320,7 +1320,7 @@ claim_file_handler_v2 (const struct ld_plugin_input_file *file,
   if (*can_be_claimed && !obj.offload && offload_files_last_lto == NULL)
     offload_files_last_lto = offload_files_last;
 
-  if (obj.offload && known_used && obj.found > 0)
+  if (obj.offload && known_used)
     {
       /* Add file to the list.  The order must be exactly the same as the final
 	 order after recompilation and linking, otherwise host and target tables

